Private Link Services - Delete

Deletes the specified private link service.

DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateLinkServices/{serviceName}?api-version=2021-08-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True
  • string

The name of the resource group.

serviceName
path True
  • string

The name of the private link service.

subscriptionId
path True
  • string

The subscription credentials which uniquely identify the Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.

api-version
query True
  • string

Client API version.

Responses

Name Type Description
200 OK

Delete successful.

202 Accepted

Accepted and the operation will complete asynchronously.

204 No Content

Delete successful.

Other Status Codes

Error.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Sample Request

DELETE https://management.azure.com/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/privateLinkServices/testPls?api-version=2021-08-01

Sample Response

Definitions

Error

Common error representation.

ErrorDetails

Common error details representation.

Error

Common error representation.

Name Type Description
code
  • string

Error code.

details

Error details.

innerError
  • string

Inner error message.

message
  • string

Error message.

target
  • string

Error target.

ErrorDetails

Common error details representation.

Name Type Description
code
  • string

Error code.

message
  • string

Error message.

target
  • string

Error target.